# v2-getActionStatus - Track an asynchronous action request

Description

Use this API to check the status of an asynchronous action request  (e.g., v2-acceptOrderLines) and retrieve  any potential errors that occurred during the action processing.
We recommend integrating this API asynchronously.


Call Frequency

Recommended usage: Asynchronous: every 5 minutes per action ID
Maximum usage: Asynchronous: once per minute per action ID

Endpoint: GET /v2/orders/actions/{action_id}
Security: Bearer

## Path parameters:

  - `action_id` (string, required)
    The unique identifier that is returned when an asynchronous action (e.g., v2-acceptOrderLines) is requested.
    Example: "1ba5fc4b-c4fd-4251-880b-3052e301bbd4"

## Response 200 fields (application/json):

  - `created_at` (string, required)
    Action creation date

  - `errors` (array)
    List of errors that occurred during the action processing

  - `errors.code` (string, required)
    Error code. One of this values :
  - INVALID_INPUT
  - DATA_NOT_FOUND
  - UNEXPECTED
  - UNAVAILABLE
  - TOO_MANY_REQUEST
  - ACTION_NOT_SUPPORTED
  - ORDER_IN_WRONG_STATE
  - INVALID_PRODUCT_ID
  - OUT_OF_STOCK
  - RETURN_IN_WRONG_STATE
  - ORDER_FULFILLED_BY_PARTNER
  - PAYMENT_REQUIRED
  - SYNCHRONIZATION_DEACTIVATED
  - CARRIER_NOT_SUPPORTED
  - MISSING_CARRIER              
  - OTHER

  - `errors.message` (string, required)
    Original order error message from the Marketplace

  - `id` (string, required)
    The unique identifier for the asynchronous action. This ID is generated when the action is initially requested.

  - `status` (string, required)
    Current action status
    Enum: "PENDING", "SUCCESS", "FAILED"

  - `updated_at` (string, required)
    Date of last modification of the action status

## Response 404 fields (application/json):

  - `code` (string, required)
    Error code (immutable)

  - `errors` (array)

  - `errors.extensions` (object)
    Free map where you find additional context data to better describe the error

  - `errors.field` (string)
    JsonPath to the field where the error occurred

  - `errors.message` (string, required)
    Literal string error item description (Please do not base your error handling on this field since it is subject to change)

  - `extensions` (object)
    Free map where you find additional context data to better describe the error

  - `message` (string, required)
    Literal string error description (Please do not base your error handling on this field since it is subject to change)


